Change logs for gst-plugins-base1.0 source package in Bionic

  • gst-plugins-base1.0 (1.14.5-0ubuntu1~18.04.1) bionic; urgency=medium
    
      * New upstream release (LP: #1832123)
        - debian/patches/CVE-2019-9928.patch: drop - it's in this release
    
     -- Iain Lane <email address hidden>  Wed, 03 Jul 2019 17:19:20 +0100
  • gst-plugins-base1.0 (1.14.4-1ubuntu1.1~ubuntu18.04.1) bionic; urgency=medium
    
      * No-change backport to bionic (LP: #1829366)
    
    gst-plugins-base1.0 (1.14.4-1ubuntu1.1) cosmic-security; urgency=medium
    
      * SECURITY UPDATE: heap overflow in RTSP parser
        - debian/patches/CVE-2019-9928.patch: limit length in
          gst-libs/gst/rtsp/gstrtspconnection.c.
        - CVE-2019-9928
    
    gst-plugins-base1.0 (1.14.4-1ubuntu1) cosmic; urgency=medium
    
      * Merge from Debian unstable.  Remaining changes:
        + debian/rules: Build for GLES only on arm. We build OpenGL support, which
          conflicts with Qt's OpenGL support - used in gst-good - if built for a
          different implementation. This fixes an FTBFS of gst-plugins-good1.0 due
          to conflicting typedefs being dragged in by gst and Qt. This might be a
          bug in mesa - if the headers are supposed to be includable simultaneously.
          See FDO #105328 for that.
    
    gst-plugins-base1.0 (1.14.4-1) unstable; urgency=medium
    
      * New upstream bugfix release
    
    gst-plugins-base1.0 (1.14.3-2) unstable; urgency=medium
    
      [ Hugh McMaster ]
      * debian/control.in:
        - Mark gir1.2-gst-plugins-base-1.0 Multi-Arch: same.
    
      [ Sebastian Dröge ]
      * Upload to unstable.
    
    gst-plugins-base1.0 (1.14.3-1) unstable; urgency=medium
    
      [ Hugh McMaster ]
      * gir1.2-gst-plugins-base-1.0: Install the typelibs into a multi-arch library
        directory (Closes: #907808).
      * debian/control.in:
        - Mark libgstreamer-plugins-base1.0-dev Multi-Arch: same (Closes: #862119).
    
      [ Sebastian Dröge ]
      * New upstream bugfix release.
    
    gst-plugins-base1.0 (1.14.2-1ubuntu1) cosmic; urgency=low
    
      * Merge from Debian unstable.  Remaining changes:
        + debian/rules: Build for GLES only on arm. We build OpenGL support, which
          conflicts with Qt's OpenGL support - used in gst-good - if built for a
          different implementation. This fixes an FTBFS of gst-plugins-good1.0 due
          to conflicting typedefs being dragged in by gst and Qt. This might be a
          bug in mesa - if the headers are supposed to be includable simultaneously.
          See FDO #105328 for that.
    
    gst-plugins-base1.0 (1.14.2-1) unstable; urgency=medium
    
      * New upstream bugfix release
    
    gst-plugins-base1.0 (1.14.1-1ubuntu1) cosmic; urgency=medium
    
      * Merge with Debian (LP: #1772898). Remaining change:
        + debian/rules: Build for GLES only on arm. We build OpenGL support, which
          conflicts with Qt's OpenGL support - used in gst-good - if built for a
          different implementation. This fixes an FTBFS of gst-plugins-good1.0 due
          to conflicting typedefs being dragged in by gst and Qt. This might be a
          bug in mesa - if the headers are supposed to be includable simultaneously.
          See FDO #105328 for that.
    
     -- Iain Lane <email address hidden>  Thu, 16 May 2019 13:18:37 +0100
  • gst-plugins-base1.0 (1.14.1-1ubuntu1~ubuntu18.04.2) bionic-security; urgency=medium
    
      * SECURITY UPDATE: heap overflow in RTSP parser
        - debian/patches/CVE-2019-9928.patch: limit length in
          gst-libs/gst/rtsp/gstrtspconnection.c.
        - CVE-2019-9928
    
     -- Marc Deslauriers <email address hidden>  Fri, 26 Apr 2019 09:42:49 -0400
  • gst-plugins-base1.0 (1.14.1-1ubuntu1~ubuntu18.04.1) bionic; urgency=medium
    
      * No-change backport to bionic.
    
    gst-plugins-base1.0 (1.14.1-1ubuntu1) cosmic; urgency=medium
    
      * Merge with Debian (LP: #1772898). Remaining change:
        + debian/rules: Build for GLES only on arm. We build OpenGL support, which
          conflicts with Qt's OpenGL support - used in gst-good - if built for a
          different implementation. This fixes an FTBFS of gst-plugins-good1.0 due
          to conflicting typedefs being dragged in by gst and Qt. This might be a
          bug in mesa - if the headers are supposed to be includable simultaneously.
          See FDO #105328 for that.
    
    gst-plugins-base1.0 (1.14.1-1) unstable; urgency=medium
    
      * New upstream bugfix release
    
     -- Iain Lane <email address hidden>  Wed, 23 May 2018 13:59:01 +0100
  • gst-plugins-base1.0 (1.14.0-2ubuntu1) bionic; urgency=medium
    
      * Merge with Debian. Remaining change:
        + debian/rules: Build for GLES only on arm. We build OpenGL support, which
          conflicts with Qt's OpenGL support - used in gst-good - if built for a
          different implementation. This fixes an FTBFS of gst-plugins-good1.0 due
          to conflicting typedefs being dragged in by gst and Qt. This might be a
          bug in mesa - if the headers are supposed to be includable simultaneously.
          See FDO #105328 for that.
      * Dropped change because graphene is being promoted to main:
        - Revert "Add recommends from libgstreamer-gl1.0-0 to gstreamer1.0-gl"
    
    gst-plugins-base1.0 (1.14.0-2) unstable; urgency=medium
    
      * debian/libgstreamer-gl.symbols:
        + Mark EGLImage/dmabuf and Wayland symbols as linux-only.
    
     -- Jeremy Bicha <email address hidden>  Tue, 03 Apr 2018 13:40:00 -0400
  • gst-plugins-base1.0 (1.14.0-1ubuntu1) bionic; urgency=medium
    
      * Merge with Debian. Remaining change:
        + debian/rules: Build for GLES only on arm. We build OpenGL support, which
          conflicts with Qt's OpenGL support - used in gst-good - if built for a
          different implementation. This fixes an FTBFS of gst-plugins-good1.0 due
          to conflicting typedefs being dragged in by gst and Qt. This might be a
          bug in mesa - if the headers are supposed to be includable simultaneously.
          See FDO #105328 for that.
      * Revert "Add recommends from libgstreamer-gl1.0-0 to gstreamer1.0-gl".
        Unfortunately -gl isn't in main becuase it depends on graphene, which is
        in universe.
    
    gst-plugins-base1.0 (1.14.0-1) unstable; urgency=medium
    
      * New upstream stable release.
    
     -- Iain Lane <email address hidden>  Wed, 21 Mar 2018 17:37:56 +0000
  • gst-plugins-base1.0 (1.13.91-1ubuntu1) bionic; urgency=medium
    
      * debian/{control{,.in},gbp.conf}: Update for Ubuntu. Use the ubuntu/*
        namespace for tags, moving slightly towards DEP14.
      * Merge with Debian. Remaining change:
        + debian/rules: Build for GLES only on arm. We build OpenGL support, which
          conflicts with Qt's OpenGL support - used in gst-good - if built for a
          different implementation. This fixes an FTBFS of gst-plugins-good1.0 due
          to conflicting typedefs being dragged in by gst and Qt. This might be a
          bug in mesa - if the headers are supposed to be includable simultaneously.
          See FDO #105328 for that.
    
    gst-plugins-base1.0 (1.13.91-1) experimental; urgency=medium
    
      * debian/control.in:
        + Add recommends from libgstreamer-gl1.0-0 to gstreamer1.0-gl
          (Closes: #892128).
      * debian/*.symbols:
        + Add Build-Depends-Package header to each library section.
      * New upstream release candidate.
    
    gst-plugins-base1.0 (1.13.90-1) experimental; urgency=medium
    
      * New upstream release candidate.
    
     -- Iain Lane <email address hidden>  Thu, 15 Mar 2018 13:12:02 +0000
  • gst-plugins-base1.0 (1.13.1-1ubuntu1) bionic; urgency=medium
    
      * debian/rules: Build for GLES only on arm. We build OpenGL support, which
        conflicts with Qt's OpenGL support - used in gst-good - if built for a
        different implementation. This fixes an FTBFS of gst-plugins-good1.0 due
        to conflicting typedefs being dragged in by gst and Qt. This might be a
        bug in mesa - if the headers are supposed to be includable simultaneously.
        See FDO #105328 for that.
    
     -- Iain Lane <email address hidden>  Fri, 02 Mar 2018 16:24:37 +0000
  • gst-plugins-base1.0 (1.13.1-1) experimental; urgency=medium
    
      * New upstream development release.
      * debian/build-deps.in,
        debian/control.in:
        + Build-depend on libgl1-mesa-dev, libegl1-mesa-dev, libgles2-mesa-dev,
          libgraphene-1.0-dev, libpng-dev, libjpeg-dev and add new binary packages
          for the OpenGL library, its headers and the OpenGL plugin.
      * debian/control.in,
        debian/gstreamer-plugins-base.install:
        + Conflict with gstreamer1.0-plugins-bad for the moved audiomixer plugin,
          the OpenGL library and its plugin.
      * debian/gstreamer-plugins-base.install:
        + Ship the libgstpbutils plugin.
    
     -- Sebastian Dröge <email address hidden>  Sat, 17 Feb 2018 18:16:46 +0200
  • gst-plugins-base1.0 (1.12.4-1) unstable; urgency=medium
    
      * New upstream bugfix release
    
     -- Sebastian Dröge <email address hidden>  Thu, 07 Dec 2017 19:32:53 +0200
  • gst-plugins-base1.0 (1.12.3-1) unstable; urgency=medium
    
      * New upstream bugfix release
    
     -- Sebastian Dröge <email address hidden>  Mon, 18 Sep 2017 21:21:47 +0300